#!/bin/sh

PORT=5460

case $1 in
  start)
    ./xrxs -s xrxs & sleep 1
    9pserve -c unix!/tmp/ns.$(whoami).\:0/xrxs tcp!0.0.0.0!${PORT} &
    ;;
  stop)
    killall xrxs
    ;;
  *)
    echo "$0 start|stop"
    echo "  start: run the xrxs service in the background"
    echo "  stop:  terminates xrxs services"
    ;;
esac
